Sign In | Join Free | My carsrow.com
carsrow.com
Products
Search by Category
Home > Lights & Lighting > Indoor Lighting > Desk Lamps >

Home Decor Table Lamp

home decor table lamp

All home decor table lamp wholesalers & home decor table lamp manufacturers come from members. We doesn't provide home decor table lamp products or service, please contact them directly and verify their companies info carefully.

Total 61464 products from home decor table lamp Manufactures & Suppliers
 Modern Table Lamp Black White Desk Lights Round Home decorative table lamp(WH-MTB-130) Manufactures

Brand Name:Well House

Model Number:WH-MTB-130

Place of Origin:China

... production. 4 Send free accessories for defect lamps 5 2 years warranty for lamps 6 Our own factory so price is competitive than trade company. 7 Overall foam and outside kraft paper carton to protect lamps from damaging 8 Have CE, SAA, BSCI, ROHS,

Well House (LTCELE) Lighting Co.,Ltd
Site Member

Guangdong

 Animal Cartoon Dog Night Light Portable Home Decoration Table Lamp Manufactures

Place of Origin:CHINA

Brand Name:OEM

Model Number:custom

Important Note: We are a customize figure manufacture ,The products is not for sales , only for image reference. Please provide your own designs and your requirement for us so that we could estimate a cost for you.Thanks for noticed. product Description...

Hongxiang Plastic Product Co.Ltd
Active Member

 AC220V Decorative Table Lamp Manufactures

Brand Name:ML

Model Number:ML-TBLM001

Place of Origin:China

.... The table lamp design is modern and unique. The table lamp combines with the floor lamp as a set. It's a modern and classy home decoration crafts. The Chinese porcelain vase base has various designs. The painting on the ceramic base is hand painting.

Huizhou Star Energy International Supply Chain Co., Ltd.
Active Member

Guangdong

 Luxury Crystal Bedside Lamp Nordic Romantic Post-modern Bedroom Decorative Table Lamp Manufactures

Brand Name:JYLIGHTING

Model Number:JYL-T0026

Place of Origin:CHINA GUANGDONG

... Product name Size Material Light Source Voltage Table Lamp 310mm*400mm metal+crystal E27 85V-265V Advantage and Luxury crystal bedside lamp nordic romantic post-modern bedroom decorative table lamp 1.Provide good quality products with reasonable price. 2

Shaanxi Jiayang Lighting Technology Co., Ltd.
Verified Supplier

Shaanxi

 Modern Table Lamp Bedroom Study Bedside Semicircle Lamp small decorative table lamp Manufactures

Brand Name:BOLITE

Model Number:B40001

Place of Origin:GUANGDONG CHINA

Modern Table Lamp Bedroom Study Bedside Semicircle Lamp small decorative table lamp Certification Factory Inspection Package and delivery FAQ Q1. Can I have a sample order ? A: Yes, we welcome sample order to test and check quality. Mixed samples are ...

Shenzhen Bojing Lighting Co.,Ltd
Site Member

 New Simple Gold Spiral Acrylic Metal Bedroom Bedside Hotel Luxury Decorative Table Lamp Manufactures

Brand Name:ZSHONORHIGH, SIDEREAL

Model Number:ABM-0129

Place of Origin:Guangdong, China

Parameters Details of Model specification No: ABM-0129 Product type: Art Decorative Table Lamp Lamp size(mm): Ø15xH40CM colour: Rose Gold/Black Material: Aluminum+Silicone Lamp source: LED-5W-3500K Voltage available: 110V-240V Bulbs Included: LED MOQ: 100 ...

Zhongshan Rong Fei Lighting Co., Ltd.
Verified Supplier

Guangdong

 Kumiko Shoji Lamp Japanese Traditional Kumiko Craft Table Lamp Home Decorative Bedside Lamp for Diwali Decor Manufactures

Model Number:KUM-6

Place of Origin:China

Brand Name:Rainbow Wood

Kumiko Shoji Lamp - Japanese Traditional Craft Table Lamp A beautifully handcrafted Japanese Kumiko table lamp featuring traditional woodworking techniques, perfect for home decoration, bedside lighting, and Diwali decor. Product Features Traditional ...

Zhengzhou Rainbow International Wood Co., Ltd.
Verified Supplier

Henan

 LED decorative vase Huilan lamp small night light restaurant decorative table lamp hotel simulation flower Manufactures

Brand Name:HongEr

Model Number:LEDHUILANVASE

Place of Origin:DongGuan city ,GuangDong province

LED decorative vase Huilan lamp small night light restaurant decorative table lamp hotel simulation flower Quick Detail: 1. Product name:LED Huilan Vase Lights 2. Specification: Dia.13cm X H50cm 3. Material: PVC+Iron parning 4. Working Voltage: AC220V 5. ...

Honger Outdoor Lighting Technology Co., Ltd
Active Member

Guangdong

 Retro LED Table Lamp Creative Dimmable Hotel/Study/Bedside Lamp Luxury Hotel Decorative Table Lamp Manufactures

Brand Name:JMK

Model Number:JMK-G65A

Place of Origin:China

.../ Special Features: 1. Classic Aesthetics: Crafted from premium metal and ceramic, this lamp is ideal for hotel lobbies, bedroom bedside tables, and home decor. 2. Dimmable LED Technology: Adjust brightness and color temperature from warm amber...

Shenzhen JMK Optoelectronics Technology Co., Ltd.
Verified Supplier

 Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp Manufactures

Brand Name:GRH

Model Number:GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136

Place of Origin:CHINA

... neutral Item Type Table lamp Feature Environmental protection material Working Time (hours) 30000 Company Introduction: WENZHOU GRH MANUFACTURE CO.,LTD. is a wholesale company that ...

WENZHOU GRH MANUFACTURE CO.,LTD
Verified Supplier

Zhejiang

 Stylish Modern Ceramic Vase Set Home Decor Table 3pcs 15 - 28 Cm Manufactures

Brand Name:Custom

Place of Origin:China

Model Number:TD-VS-01

...Set Stylish Modern Home Decor Table Centerpiece Living Room 3pcs Ceramic Vase Set 3pcs A stylish set of three ceramic vases in complementary sizes and shapes. The glazed finish and modern silhouette make them elegant accents for tables and shelves. Key ...

Shenzhen Hege Technology Co.,ltd
Verified Supplier

Guangdong

 Home Decor Table Metal Craft Tube Art Stainless Steel Sculpture Manufactures

Brand Name:WANGSTONE

Model Number:WS-20ST008

Place of Origin:CHINA

...introduce modern art and home decoration for us. Polished steel element give us bright and artistic feeling. It is relaxed when you are walking for your home,you can see it whatever you stand in. If you are interested in this sculpture, please feel free to

Wangstone Metal Sculpture Co., Ltd.
Verified Supplier

Fujian

 Wholesale of artificial flowers, 3-head delphinium bouquets, realistic floral art, wedding, home decoration, table flowers, photography props Manufactures

Brand Name:Famous

Model Number:AF-261

Place of Origin:China

...home decoration, table flowers, photography props Product Wholesale of artificial flowers, 3-head delphinium bouquets, realistic floral art, wedding, home decoration, table flowers, photography props Material Silk flowers Feature Hand made,realistic Usage Decoration...

Hunan Famous Trading Co., Ltd.
Verified Supplier

 Glowing Holiday LED Illuminated Furniture Led Decoration Table Lamp With Rechargeable Battery Manufactures

Brand Name:Bluestartech

Model Number:BST-10-103

Place of Origin:China

... room, advanced hotel, restaurant, hotel, hotel, cafe, bar, club, club, KTV entertainment and other indoor public places to decorate, decorate, make the space romantic and warm. Color: 16 colors change the choice.

Jiangsu Bluestar Techhnology Co., Limited,
Active Member

Jiangsu

 Office Medical Home Unique Table Lamps Covid-19 Uv Light Disinfection Led Germicidal Lamp Manufactures

Brand Name:Medado

Model Number:C01

Place of Origin:Guangdong China

Covid-19 Uv Light Disinfection Office Medical Home Store Led Germicidal Lamp Product Descriptions model C01 Power 36w Lamp Dimension 210*210*460mm material PC light source Quartz ultraviolet light source Control mode remote control switch (through the wall...

ZHONGSHAN MEDADO PHOTOELECTRICITY CO.,LTD
Active Member

Guangdong

 OEM Home Decorative Table clock with Wholesale Price Manufactures

Brand Name:MOOMIN

Place of Origin:China

OEM Home Decorative Table clock with Wholesale Price Material :acrylic Size: Sunafukin 12*7.5*18.5cm Moomin 14*7.5*18.5cm Little My 10*7.5*18cm The sample pictures are from our customers's OEM order just for your reference. If you have similar request...

COLORLIFE B.D. CO., LIMITED
Active Member

Guangdong

 Creative 3D Floating Moon Light Unique Gifts Table Lamp Home Decoration Floating Lamp with Wireless Charging Function fo Manufactures

Place of Origin:Guangdong, China

Brand Name:OEM

Model Number:LL-019

#detail_decorate_root .magic-0{border-bottom-style:solid;border-bottom-color:#53647a;font-family:Roboto;font-size:24px;color:#53647a;font-style:normal;border-bottom-width:2px;padding-top:8px;padding-bottom:4px}#detail_decorate_root .magic-1{margin-bottom:...

SUCE (HONG KONG) IMPORT AND EXPORT LIMITED
Active Member

 China Manufacturer DMX512 Facade Home Decoration Landscape Lamp Waterproof RGBW LED Pixel Point Source Light Manufactures

Brand Name:Miracle Bean

Model Number:XH-K3006P24(RGBW)-A1b

Place of Origin:Guangdong,China

China Manufacturer DMX512 Facade Home Decoration Landscape Lamp Waterproof RGBW LED Pixel Point Source Light Specifications: Model Name XH-K3006P24(RGBW)-A1b Size 30mm Power 2W Work Volt DC 24V Color RGBW Operating Temperature -20℃-60℃ Storage Temoerature...

Shenzhen Xinhe Lighting Optoelectronics Co., Ltd.
Verified Supplier

Guangdong

 2.5mm - 15mm Marbled Acrylic Sheet PMMA Plate Plexiglass Sheets for Kitchen Home Decor Advertising Lamp Manufactures

Brand Name:Juhong

Model Number:SJ334

Place of Origin:China

Product Name 2.5mm - 15mm Marbled Acrylic Sheet PMMA Plate Plexiglass Sheets for Kitchen Home Decor Advertising Lamp Material 100% virgin MMA Thickness 2.5mm-15mm Sheet size 2440*1220 mm Density 1.2g/cm3 MOQ 100kg (1 pcs for stock products) Lead time 5-7 ...

Jiujiang Juhong New Material Co., Ltd.
Site Member

Inquiry Cart 0
  • Haven't found right suppliers
  • Our buyer assistants can help you find the most suitable, 100% reliable suppliers from China.
  • And this service is free of charge.
  • we have buyer assistants who speak English, French, Spanish......and we are ready to help you anytime!
Submit Buying Request